R=R or {}
require('./sys/rgb')(R)

return {
    rgbGMan=R.RGB:new(.2,.9,.2),
    rgbRMan=R.RGB:new(1,0,0),
    rgbSignal=R.RGB:new(.4,.4,.4),
    walkAnimWrapper=function(actor,t)
        local tAnim=math.pi*t*8
        actor:setAnim("walk",tAnim/4)

        local bounceH=.1
        local y=-math.abs(math.sin(tAnim))*bounceH+bounceH/2
        local mat=R.M44:newTrans(0,y,1.7)
        mat:mulM44(R.M44:newRotZ(math.sin(math.pi+tAnim)*.1))
        actor:setMat(mat)
    end
}